# Uses of Class
org.springframework.web.servlet.resource.ResourceUrlProvider

Packages that use ResourceUrlProvider
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.
org.springframework.web.servlet.resource
Support classes for serving static resources.

## Uses of ResourceUrlProvider in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return ResourceUrlProvider
Modifier and Type
Method
Description
`ResourceUrlProvider`
WebMvcConfigurationSupport.`mvcResourceUrlProvider()`
A `ResourceUrlProvider` bean for use with the MVC dispatcher.
Methods in org.springframework.web.servlet.config.annotation with parameters of type ResourceUrlProvider
Modifier and Type
Method
Description
`BeanNameUrlHandlerMapping`
WebMvcConfigurationSupport.`beanNameHandlerMapping(org.springframework.format.support.FormattingConversionService conversionService, ResourceUrlProvider resourceUrlProvider)`
Return a `BeanNameUrlHandlerMapping` ordered at 2 to map URL paths to controller bean names.
`protected final Object[]`
WebMvcConfigurationSupport.`getInterceptors(org.springframework.format.support.FormattingConversionService mvcConversionService, ResourceUrlProvider mvcResourceUrlProvider)`
Provide access to the shared handler interceptors used to configure `HandlerMapping` instances with.
`RequestMappingHandlerMapping`
WebMvcConfigurationSupport.`requestMappingHandlerMapping(org.springframework.web.accept.ContentNegotiationManager contentNegotiationManager, org.springframework.format.support.FormattingConversionService conversionService, ResourceUrlProvider resourceUrlProvider)`
Return a `RequestMappingHandlerMapping` ordered at 0 for mapping requests to annotated controllers.
`HandlerMapping`
WebMvcConfigurationSupport.`resourceHandlerMapping(org.springframework.web.accept.ContentNegotiationManager contentNegotiationManager, org.springframework.format.support.FormattingConversionService conversionService, ResourceUrlProvider resourceUrlProvider)`
Return a handler mapping ordered at Integer.MAX_VALUE-1 with mapped resource handlers.
`RouterFunctionMapping`
WebMvcConfigurationSupport.`routerFunctionMapping(org.springframework.format.support.FormattingConversionService conversionService, ResourceUrlProvider resourceUrlProvider)`
Return a `RouterFunctionMapping` ordered at -1 to map router functions.
`HandlerMapping`
WebMvcConfigurationSupport.`viewControllerHandlerMapping(org.springframework.format.support.FormattingConversionService conversionService, ResourceUrlProvider resourceUrlProvider)`
Return a handler mapping ordered at 1 to map URL paths directly to view names.

## Uses of ResourceUrlProvider in org.springframework.web.servlet.resource

Methods in org.springframework.web.servlet.resource that return ResourceUrlProvider
Modifier and Type
Method
Description
`ResourceUrlProvider`
ResourceTransformerSupport.`getResourceUrlProvider()`
Return the configured `ResourceUrlProvider`.
Methods in org.springframework.web.servlet.resource with parameters of type ResourceUrlProvider
Modifier and Type
Method
Description
`void`
ResourceTransformerSupport.`setResourceUrlProvider(ResourceUrlProvider resourceUrlProvider)`
Configure a `ResourceUrlProvider` to use when resolving the public URL of links in a transformed resource (for example, import links in a CSS file).
Constructors in org.springframework.web.servlet.resource with parameters of type ResourceUrlProvider
Modifier
Constructor
Description
``
`ResourceUrlProviderExposingInterceptor(ResourceUrlProvider resourceUrlProvider)`